Skip to main content
`Ctrl`+`K`

# DMGetISColoringType

Gets the type of coloring, `IS_COLORING_GLOBAL` or `IS_COLORING_LOCAL` that is created by the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetISColoringType(DM dm, ISColoringType *ctype)

Logically Collective

## Input Parameter

- dm - the `DM` context

## Output Parameter

- ctype - the matrix type

## Options Database Key

- -dm_is_coloring_type - global or local

## See Also

DM Basics, `DM`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMSetMatrixPreallocateOnly()`, `MatType`, `DMGetMatType()`, `ISColoringType`, `IS_COLORING_GLOBAL`, `IS_COLORING_LOCAL`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages